For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Ask AIPlaygroundLoginFree API Key
HomeAPI ReferenceVoice AgentSpeech-to-TextText-to-SpeechIntelligenceSelf-Hosted Deployments
HomeAPI ReferenceVoice AgentSpeech-to-TextText-to-SpeechIntelligenceSelf-Hosted Deployments
  • General
    • Deepgram API Overview
    • Authentication
    • Regional Endpoints
    • Custom Endpoints
    • Errors
    • API Rate Limits
  • API Reference
          • GETGet Project Balances
          • GETGet a Project Balance
          • GETGet Project Billing Breakdown
          • GETList Project Billing Fields
          • GETList Project Purchases
LogoLogo
Ask AIPlaygroundLoginFree API Key
API ReferenceManageBilling

List Project Billing Fields

GET
https://api.deepgram.com/v1/projects/:project_id/billing/fields
GET
/v1/projects/:project_id/billing/fields
1import requests
2
3url = "https://api.deepgram.com/v1/projects/123456-7890-1234-5678-901234/billing/fields"
4
5headers = {"Authorization": "Token <apiKey>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
Try it
1{
2 "accessors": [
3 "12345678-1234-1234-1234-123456789012",
4 "87654321-4321-4321-4321-210987654321"
5 ],
6 "deployments": [
7 "hosted",
8 "self-hosted"
9 ],
10 "tags": [
11 "dev",
12 "production"
13 ],
14 "line_items": {
15 "streaming::nova-3": "Nova - 3 (Stream)",
16 "sync::aura-2": "Aura -2 (Sync)"
17 }
18}
Lists the accessors, deployment types, tags, and line items used for billing data in the specified time period. Use this endpoint if you want to filter your results from the Billing Breakdown endpoint and want to know what filters are available.
Was this page helpful?
Previous

List Project Purchases

Next
Built with

Authentication

AuthorizationToken

Use Authorization: Token <API_KEY> Example: Authorization: Token 12345abcdef

Path parameters

project_idstringRequired
The unique identifier of the project

Query parameters

startstringOptionalformat: "date"

Start date of the requested date range. Format accepted is YYYY-MM-DD

endstringOptionalformat: "date"

End date of the requested date range. Format accepted is YYYY-MM-DD

Response

A list of billing fields for a specific project
accessorslist of strings
List of accessor UUIDs for the time period
deploymentslist of enums
List of deployment types for the time period
Allowed values:
tagslist of strings
List of tags for the time period
line_itemsmap from strings to strings

Map of line item names to human-readable descriptions for the time period

Errors

400
Bad Request Error